%define download_name   labrea-2.5-stable-1


Name:             labrea
Version:          2.5.1
Release:          12%{?dist}
Summary:          Tarpit (slow to a crawl) worms and port scanners
Group:            Applications/Productivity
License:          GPLv2
URL:              http://sourceforge.net/projects/labrea/
Source:           http://downloads.sourceforge.net/labrea/%{download_name}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:    libpcap-devel
BuildRequires:    libdnet-devel

%description
Intrusion detection "sticky" honey pot technology using virtual 
servers to detect and trap worms, hackers, and other malware. 


%prep
%setup -q -n %{download_name}
# -I- is no longer supported by GCC and -I /usr/include is just pointless
sed -i -e 's/-I- @DNETINC@ @PCAPINC@//g' src/Makefile.am
sed -i -e 's/-I- @DNETINC@ @PCAPINC@//g' src/Makefile.in
# remove this one because it gets picked over the system one
rm -f inc/syslog.h
sed -i -e 's/syslog.h//g' inc/Makefile.am
sed -i -e 's/syslog.h//g' inc/Makefile.in


%build
%configure 
make %{?_smp_mflags}


%install 
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc COPYING INSTALL NEWS README TODO AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/labrea.conf
%{_mandir}/man1/labrea.1.gz
%{_mandir}/man5/labrea.conf.5.gz
%{_sbindir}/labrea



%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Oct 4 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.5.1-5
- Fix build with GCC 4.4 (#511524)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Sep 4 2008 Huzaifa Sidhpurwala  <huzaifas@redhat.com> 2.5.1-2
- Small changes to satisfy the packaging standads

* Thu Sep 4 2008 Huzaifa Sidhpurwala  <huzaifas@redhat.com> 2.5.1-0
- Initial version
